NDSummary.OnToolTipsLoaded("File:Quine-McCluskey.cs",{159:"<div class=\"NDToolTip TClass LCSharp\"><div class=\"TTSummary\">Classe che gestisce la tabella dei termini minimi e la riduzione della funzione logica corrisponente</div></div>",21:"<div class=\"NDToolTip TClass LCSharp\"><div class=\"NDClassPrototype\" id=\"NDClassPrototype21\"><div class=\"CPEntry TClass Current\"><div class=\"CPModifiers\"><span class=\"SHKeyword\">public</span></div><div class=\"CPName\"><span class=\"Qualifier\">Quine_McCluskey.</span>&#8203;QuineMcClusky</div></div></div></div>",160:"<div class=\"NDToolTip TProperty LCSharp\"><div id=\"NDPrototype160\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public int</span>[] termini_minimi { <span class=\"SHKeyword\">get</span>; <span class=\"SHKeyword\">set</span> }</div><div class=\"TTSummary\">I termini minimi della funzione</div></div>",161:"<div class=\"NDToolTip TProperty LCSharp\"><div id=\"NDPrototype161\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public int</span>[] dontcare { <span class=\"SHKeyword\">get</span>; <span class=\"SHKeyword\">set</span> }</div><div class=\"TTSummary\">Le condizioni di indifferenza</div></div>",162:"<div class=\"NDToolTip TProperty LCSharp\"><div id=\"NDPrototype162\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public int</span> numero_variabili</div><div class=\"TTSummary\">Il numero di variabili logiche nella funzione. Il massimo numero di variabili è 26(rappresentate dalle lettere maiuscole dalla A alla Z)</div></div>",163:"<div class=\"NDToolTip TVariable LCSharp\"><div id=\"NDPrototype163\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">private</span> List&lt;<span class=\"SHKeyword\">string</span>&gt; rappresentazioni_binarie</div><div class=\"TTSummary\">Lista di stringhe contenente le rappresentazioni binarie degli implicanti.</div></div>",164:"<div class=\"NDToolTip TVariable LCSharp\"><div id=\"NDPrototype164\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">private</span> List&lt;<span class=\"SHKeyword\">string</span>&gt; temp</div><div class=\"TTSummary\">Una lista temporanea di stringhe utilizzata durante la computazione. Conterrà semplicemente una copia della lista precedente.</div></div>",165:"<div class=\"NDToolTip TVariable LCSharp\"><div id=\"NDPrototype165\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">private</span> List&lt;<span class=\"SHKeyword\">string</span>&gt; termini_essenziali</div><div class=\"TTSummary\">La lista dei termini essenziali deve restare separata da quella delle rappresentazioni binarie perchè può contenere dei termini che durante lo svolgimento dell\'algoritmo non vanno incontro a semplificazione e rimangono isolati.</div></div>",166:"<div class=\"NDToolTip TVariable LCSharp\"><div id=\"NDPrototype166\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">private int</span>[] gruppi</div><div class=\"TTSummary\">Il numero di elementi per ogni gruppo, l\'indice dell\'array rappresenta il gruppo.</div></div>",167:"<div class=\"NDToolTip TVariable LCSharp\"><div id=\"NDPrototype167\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public bool</span> fine</div><div class=\"TTSummary\">Indica che l\'algoritmo di semplificazione è giunto al termine.&nbsp; (La ricerca degli implicanti primi essenziali viene effettuata dopo che l\'algoritmo di semplificazione è terminato).</div></div>",30:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype30\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">private</span> IEnumerable&lt;<span class=\"SHKeyword\">string</span>&gt; Combinazioni(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">input</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Permette di risalire ai termini minimi implicati nella riduzione partendo da una rappresentazione binaria ridotta</div></div>",23:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype23\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">private void</span> Converti_in_Binario()</div><div class=\"TTSummary\">Questa funzione converte in binario tutti gli elementi degli array numerici termini_minimi e dontcare e aggiunge ogni rappresentazione binaria ottenuta alla lista rappresentazioni_binarie.</div></div>",24:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype24\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">private int</span> Converti_In_Decimale(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">n_bin</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Converte in decimale una rappresentazione binaria</div></div>",28:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype28\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">private int</span> Conta_Gruppo(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">rappresentazione_binaria</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Funzione che conta gli uno presenti nella rappresentazione e ne restituisce il gruppo di appartenenza</div></div>",27:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype27\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">private void</span> Ordina_per_Gruppi()</div><div class=\"TTSummary\">Funzione che ordina la lista rappresentazioni_binarie in funzione dei gruppi</div></div>",29:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype29\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">private int</span> Gruppo_Massimo()</div><div class=\"TTSummary\">Restituisce il gruppo massimo tra gli implicanti</div></div>",39:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype39\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">private void</span> Inizializza_Gruppi()</div></div>",31:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype31\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">private string</span> Confronta(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">a,</td></tr><tr><td class=\"PType first\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">b</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Funzione che confronta due stringhe e restituisce una nuova stringa qualora sia stata riscontrata solo una differenza.&nbsp; (una posizione in cui differisce il valore del singolo carattere 0 o 1) La nuova stringa è uguale a quelle di partenza con l\'eccezione che nella posizione in cui è stata individuata la differenza viene inserito un \'_\'. Se per esempio venissero comparate le stringhe &quot;0001&quot; e &quot;1001&quot; l\'unica differenza sarebbe in posizione 0 e la stringa risultate sarebbe &quot;_001&quot;. Se invece venissero comparate le stringhe &quot;0011&quot; e &quot;1001&quot; avremmo due differenze, rispettivamente in posizione 0 e 2, pertanto non verrebbe restituita alcuna stringa.</div></div>",33:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype33\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">private void</span> Rimuovi_Duplicati(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\">List&lt;<span class=\"SHKeyword\">string</span>&gt;&nbsp;</td><td class=\"PName last\">lista</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Rimuove i termini duplicati da una lista</div></div>",34:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype34\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">private void</span> Rimuovi_Termini_non_Essenziali()</div><div class=\"TTSummary\">Rimuove i termini che non sono essenziali dalla lista termini_essenziali Questo è necessario poichè può avvenire che un termine in realtà non essenziale venga qui aggiunto.</div></div>",35:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype35\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public</span> List&lt;<span class=\"SHKeyword\">string</span>&gt; Primo_Step()</div><div class=\"TTSummary\">Questa funzione restituisce una lista stampabile contenente semplicemente i termini minimi e le condizioni di indifferenza rappresentate in binario con il gruppo di appartenenza</div></div>",36:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype36\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public void</span> Step_Successivo()</div><div class=\"TTSummary\">Procede di un passo avanti con la riduzione</div></div>",168:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype168\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public</span> List&lt;<span class=\"SHKeyword\">string</span>&gt; Stampa_Stato_Corrente()</div><div class=\"TTSummary\">Restituisce una lista stampabile dello stato corrente</div></div>",169:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype169\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">private</span> List&lt;<span class=\"SHKeyword\">string</span>&gt; Implicanti_Primi_Essenziali()</div><div class=\"TTSummary\">Questa funzione serve nell\'ultimo step a eliminare tutti i termini non essenziali, effettuando la ricerca della &quot;copertura ottima&quot;</div></div>",170:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype170\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">private bool</span> E_Contenuto(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">a,</td></tr><tr><td class=\"PType first\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">b</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Funzione che verifica che un termine essenziale sia contenuto in una stringa di termini essenziali</div></div>",171:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype171\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">private void</span> Ultimo_Passaggio()</div><div class=\"TTSummary\">Nell\'ultimo passaggio le rappresentazioni binarie vengono convertite in stringhe di termini essenziali</div></div>",26:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype26\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public</span> List&lt;<span class=\"SHKeyword\">string</span>&gt; Stampa_Stato_Finale()</div><div class=\"TTSummary\">Funzione analoga a Stampa_Stato_Corrente() con la differenza che questa volta viene restituita la forma SOP finale della funzione semplificata.</div></div>",37:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype37\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public</span> List&lt;<span class=\"SHKeyword\">string</span>&gt; Stampa_Stato_Finale_Petrick()</div><div class=\"TTSummary\">Funzione che attua il metodo di Petrick e restituisce la forma semplificata ottenuta</div></div>",38:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype38\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">private string</span> Moltiplicazione(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">a,</td></tr><tr><td class=\"PType first\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">b</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Procedura che restituisce il prodotto tra due moltiplicandi nella forma POS es. (P0+P1+P2)(P3+P4)</div></div>",40:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype40\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">private string</span> Idempotenza_AND(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">mul</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Procedura che effettua la semplificazione applicando la regola di idempotenza XX = X</div></div>",41:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype41\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">private string</span> Idempotenza_OR(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">mul</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Procedura che effettua la semplificazione applicando la regola di idempotenza X + X = X</div></div>",42:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype42\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">private string</span> Assorbimento(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\"><span class=\"SHKeyword\">string</span>&nbsp;</td><td class=\"PName last\">mul</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Procedura che effettua la semplificazione applicando la regola di assorbimento X + XY = X</div></div>",99:"<div class=\"NDToolTip TFunction LCSharp\"><div id=\"NDPrototype99\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">private void</span> Valuta_Meno_Costosi(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PType first\">List&lt;<span class=\"SHKeyword\">string</span>&gt;&nbsp;</td><td class=\"PName last\">termini</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Valuta il costo letterale</div></div>"});